package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ApprovalConfig;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ApprovalConfigDAO {
	int insert(ApprovalConfig entity);
	int update(ApprovalConfig entity);
	int exist(String id);
	ApprovalConfig get(String id);
	int delete(String id);
	List<ApprovalConfig> list();
	List<ApprovalConfig> search(Map<String, Object> searchParams, List<Sort> sortList);

    ApprovalConfig findByCompanyIdAndType(String companyId, String type);
}